Bug 1440669

Summary: Rebase cross-gcc on EPEL with latest RHEL-7 gcc sources
Product: [Fedora] Fedora EPEL Reporter: Peter Robinson <pbrobinson>
Component: cross-gccAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: jperrin, lkundrak
Target Milestone: ---Flags: pbrobinson: needinfo? (lkundrak)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: cross-gcc-4.8.5-16.el7.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-18 14:51:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285484, 1197165    

Description Peter Robinson 2017-04-10 08:51:47 UTC
The cross-gcc in EPEL-7 is at cross-gcc-4.8.1-5.2.el7.1 where as the RHEL-7 codebase is at 4.8.5-11.el7 which contains significant changes/fixes/improvements in particular for non x86 architectures.

Please rebase to the newer RHEL-7 source for cross-gcc on EPEL.

Also please enable/build gcc-powerpc64le

Comment 1 Fedora Update System 2017-05-18 15:31:50 UTC
cross-binutils-2.28-1.el7 cross-gcc-7.0.1-0.4.el7.1.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 2 Peter Robinson 2017-05-19 09:21:17 UTC
(In reply to Fedora Update System from comment #1)
> cross-binutils-2.28-1.el7 cross-gcc-7.0.1-0.4.el7.1.1 has been submitted as
> an update to Fedora EPEL 7.
> https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Why have we not gone to the RHEL 4.8.5 version and jumped right forward?

Comment 3 Fedora Update System 2017-06-19 14:52:08 UTC
cross-binutils-2.28-1.el7, cross-gcc-7.0.1-0.4.el7.1.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 4 Fedora Update System 2017-06-28 19:30:22 UTC
cross-binutils-2.25.1-31.el7.1 cross-gcc-4.8.5-16.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 5 Fedora Update System 2017-06-30 01:20:16 UTC
cross-binutils-2.25.1-31.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 6 Fedora Update System 2017-07-14 09:50:58 UTC
cross-binutils-2.27-9.el7.1 cross-gcc-4.8.5-16.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 7 Fedora Update System 2017-07-14 18:50:37 UTC
cross-binutils-2.27-9.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 8 Fedora Update System 2017-08-18 14:51:14 UTC
cross-binutils-2.27-9.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.